import Foundation
import SFSafeSymbols

enum TransmissionType: Int {
    case throughServer = 0
    case overLocalWifi = 1
}

extension TransmissionType: Codable {
    
}

extension TransmissionType {
    
    var symbol: SFSymbol {
        switch self {
        case .throughServer: return .network
        case .overLocalWifi: return .wifi
        }
    }
}

extension TransmissionType: CaseIterable {
    
}

extension TransmissionType: CustomStringConvertible {
    
    var description: String {
        displayName
    }
}

extension TransmissionType {
    
    var displayName: String {
        switch self {
        case .throughServer: return "Mobile"
        case .overLocalWifi: return "WiFi"
        }
    }
}
